# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class DomainModelResults(Model):
    """Result of image analysis using a specific domain model including additional
    metadata.

    :param celebrities: An array of possible celebritied identified in the
     image.
    :type celebrities:
     list[~azure.cognitiveservices.vision.computervision.models.CelebritiesModel]
    :param request_id: Id of the REST API request.
    :type request_id: str
    :param metadata: Additional image metadata
    :type metadata:
     ~azure.cognitiveservices.vision.computervision.models.ImageMetadata
    """

    _attribute_map = {
        'celebrities': {'key': 'result.celebrities', 'type': '[CelebritiesModel]'},
        'request_id': {'key': 'requestId', 'type': 'str'},
        'metadata': {'key': 'metadata', 'type': 'ImageMetadata'},
    }

    def __init__(self, celebrities=None, request_id=None, metadata=None):
        super(DomainModelResults, self).__init__()
        self.celebrities = celebrities
        self.request_id = request_id
        self.metadata = metadata
